質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.48%

  • Apache

    1873questions

    Apacheは、Apache HTTP Serverの略で、最も人気の高いWebサーバソフトウェアの一つです。安定性が高いオープンソースソフトウェアとして商用サイトから自宅サーバまで、多くのプラットフォーム向けに開発・配布されています。サーバーソフトウェアの不具合(NCSA httpd)を修正するパッチ(a patch)を集積、一つ独立したソフトウェアとして開発されました。

  • Windows

    1495questions

    Windowsは、マイクロソフト社が開発したオペレーティングシステムです。当初は、MS-DOSに変わるOSとして開発されました。 GUIを採用し、主にインテル系のCPUを搭載したコンピューターで動作します。Windows系OSのシェアは、90%を超えるといわれています。 パソコン用以外に、POSシステムやスマートフォンなどの携帯端末用、サーバ用のOSもあります。

  • OpenSSL

    114questions

    OpenSSLはSSL/TLSのプロトコルと一般的な暗号のライブラリを導入するオープンソースのソフトウェアのツールキットです。

WindowsにインストールしたApacheのOpenSSLを更新するには?

解決済

回答 2

投稿

  • 評価
  • クリップ 2
  • VIEW 3,720

yahoyaho20

score 5

Apache関連の知識が疎いため、ご存知の方がおられましたら、ご教授願いたいです。

現在、Windows版のSSL付Apache(バイナリ版)がインストールされた環境で、
Apacheに付随しているOpenSSLを最新版へ更新しようとしているのですが、
Apache起動時にエラーが発生してしまいます。

httpd.exe: Syntax error on line 123 of D:/Apache2.2/conf/httpd.conf: Cannot load D:/Apache2.2/modules/mod_ssl.so into server: 

記述のあったページを参考に、基本的にOpenSSLのEXEとdllファイルの入れ替えで対応できると思われたのですが、
mod_sslまわりでのエラーがあるようです。

他に設定やインストールが必要なものがあったりするのでしょうか。

環境
OS:Windows2003 Server
Apache:2.2.9
(Apache内のopenSSL:0.9.8h)
OpenSSLは1.0.2の最新版に更新しようと考えています。

参考ページ
http://qiita.com/icoxfog417/items/5dde6681f9edddf35d9e

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+1

特にApache2.2.9を2.2.31へマイナーバージョンアップすることに抵抗がないのであれば以下のバイナリを試してみてはいかがでしょうか?
念のため、環境を別途用意して試してみたほうが良いとは思います。

Apache公式ダウンロードサイトから紹介されているバイナリ配布元となります。
Apache2.2.x+openssl 1.0.2系

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/04 17:48

    バイナリが配布されていたのですね。
    ご教示ありがとうございます。
    まずは別環境で試してみたいと思います。

    キャンセル

+1

mod_sslはOpenSSLに強く依存したモジュールですので、OpenSSLを0.98→1.02というようにバージョンを変えてしまうと、mod_ssl自体をリビルドする必要が出てきます。Qiita記事に示したような、単純な方法ではうまく行きません(0.98どうしだからこそできる芸当です)。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2016/04/04 17:44

    やはり単純に差し替えるだけでは無理なんですね。
    ご助言ありがとうございます。

    キャンセル

関連した質問

同じタグがついた質問を見る

  • Apache

    1873questions

    Apacheは、Apache HTTP Serverの略で、最も人気の高いWebサーバソフトウェアの一つです。安定性が高いオープンソースソフトウェアとして商用サイトから自宅サーバまで、多くのプラットフォーム向けに開発・配布されています。サーバーソフトウェアの不具合(NCSA httpd)を修正するパッチ(a patch)を集積、一つ独立したソフトウェアとして開発されました。

  • Windows

    1495questions

    Windowsは、マイクロソフト社が開発したオペレーティングシステムです。当初は、MS-DOSに変わるOSとして開発されました。 GUIを採用し、主にインテル系のCPUを搭載したコンピューターで動作します。Windows系OSのシェアは、90%を超えるといわれています。 パソコン用以外に、POSシステムやスマートフォンなどの携帯端末用、サーバ用のOSもあります。

  • OpenSSL

    114questions

    OpenSSLはSSL/TLSのプロトコルと一般的な暗号のライブラリを導入するオープンソースのソフトウェアのツールキットです。